%global unique_name eu.tiliado.Nuvola

Name:           nuvola-app-groove
Version:        2.0
Release:        2%{?dist}
Summary:        Microsoft Groove for Nuvola Player 3
License:        BSD
URL:            https://github.com/tiliado/nuvola-app-groove
Source0:        https://github.com/tiliado/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

Source1:        %{name}.metainfo.xml

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  nuvolasdk >= 4.6.0
BuildRequires:  python3-six
Requires:       hicolor-icon-theme
Requires:       %{_bindir}/nuvola

BuildArch:      noarch


%description
Integration of Microsoft Groove into your linux desktop via Nuvola Player.

%prep
%setup -q

%build
./configure --prefix=%{_prefix}
%make_build


%install
%make_install DESTDIR=%{buildroot}

# Register as an application to be visible in the software center
mkdir -p %{buildroot}%{_datadir}/appdata
cp  %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files
%doc CHANGELOG.md README.md
%license LICENSE-BSD.txt
%{_datadir}/applications/%{unique_name}AppGroove.desktop
%{_datadir}/appdata/%{name}.metainfo.xml
%{_datadir}/icons/*/*/*/%{unique_name}AppGroove.*
%dir %{_datadir}/nuvolaruntime/web_apps
%{_datadir}/nuvolaruntime/web_apps/groove/


%changelog
* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0-2
- Remove obsolete scriptlets

* Fri Sep 29 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.0-1
- Update to 2.0
- correct Source0 tag

* Fri Jul 28 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.3-1
- initial build
